Subject: Cleaning up nl.alpinelinux.org vserver

From: Natanael Copa <[email-masked]>
Date: Tue, 8 May 2012 17:02:44 +0200

Hi,

Carlos box (nl.alpinelinux.org) was one of the first vserver boxes ever
and has a bit different setup.

I would like to clean it up a bit.

* replace the current ext3 boot partition with a traditional vfat boot
  with run from tmpfs.
* upgrade vserver host to v2.4, 64bit.
* merge /vservers and /vservers/mirror partitions
  (/dev/vg0/vservers and /dev/vg0/mirror)
* replace ext3 with ext4

This should be fairly easy with ext4 resize and lvm. It is also a good
time to remove unused dead data.

vserver:/vservers# ls
alpdev                      lost+found
alpdev-2010-06-10.tar.gz    mirror
alpdev-2011-03-29.tar.gz    mirror-2011-03-29.tar.gz
alpine-bugs                 revproxy
alpine-monitor              revproxy-04-09-2011.tar.gz
alpine-mysql                revproxy-04-10-2011.tar.gz
alpine-nginx                revproxy-backup
alpine-pg                   ubuntu-precise
alpine-test                 wwwedge
alpine-www                  wwwtest

What currently runs there:
10006    5  11.8M   2.2M  17m06s85   6m11s71   3d22h32 mirror
40001   25 372.6M 122.3M   1h43m05   8m26s43   3d22h32 alpine-www
40002    9   188M  12.7M   3m21s43   2m34s54   3d22h32 alpine-nginx
40003    3 294.1M  31.4M   2m18s68   0m14s78   3d22h32 alpine-mysql
40004   13 528.9M 431.4M   8h41m26   1h10m13   3d22h32 alpine-bugs

I wonder if I could just delete the stuff that is not running and
proceed with the other stuff?

Thanks!

-nc